Skip to content
Start here

Delete a participant

client.RealtimeKit.Meetings.DeleteMeetingParticipant(ctx, appID, meetingID, participantID, body) (*MeetingDeleteMeetingParticipantResponse, error)
DELETE/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/participants/{participant_id}

Deletes a participant for the given meeting and participant ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
appID string

The app identifier tag.

maxLength32
meetingID string
formatuuid
participantID string
body MeetingDeleteMeetingParticipantParams
AccountID param.Field[string]

The account identifier tag.

maxLength32
ReturnsExpand Collapse
type MeetingDeleteMeetingParticipantResponse struct{…}
Success bool

Success status of the operation

Data MeetingDeleteMeetingParticipantResponseDataoptional

Data returned by the operation

CreatedAt Time

Timestamp this object was created at. The time is returned in ISO format.

formatdate-time
CustomParticipantID string

A unique participant ID generated by the client.

PresetID string

ID of the preset applied to this participant.

formatuuid
UpdatedAt Time

Timestamp this object was updated at. The time is returned in ISO format.

formatdate-time

Delete a participant

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/realtime_kit"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.RealtimeKit.Meetings.DeleteMeetingParticipant(
    context.TODO(),
    "app_id",
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "participant_id",
    realtime_kit.MeetingDeleteMeetingParticipantParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Success)
}
{
  "success": true,
  "data": {
    "created_at": "2019-12-27T18:11:19.117Z",
    "custom_participant_id": "custom_participant_id",
    "preset_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "updated_at": "2019-12-27T18:11:19.117Z"
  }
}
Returns Examples
{
  "success": true,
  "data": {
    "created_at": "2019-12-27T18:11:19.117Z",
    "custom_participant_id": "custom_participant_id",
    "preset_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "updated_at": "2019-12-27T18:11:19.117Z"
  }
}